<%@ page contentType="text/html;charset=GBK" %>
<%@ page language="java" import="java.sql.*" %>
<jsp:useBean id="conn" scope="page" class="download.conn"/>
<%! 
ResultSet rs = null;
String filename = "";
%>
<%
String sql = "Update download Set hits=hits+1 Where id=" + request.getParameter("id");
conn.executeQuery( sql );
sql = "Select * From download Where id=" + request.getParameter("id");
ResultSet rs = conn.executeQuery( sql );
rs.next();
filename = rs.getString("filename");
%>
<html>
<head>
	<title>我的软件仓库</title>
	<Link rel="stylesheet" type="text/css" href="style.css">
</head>
<body TEXT="#000000" BGCOLOR="#FFFFFF" BACKGROUND="b01.jpg">
<center>
您选择的文件是：<%=rs.getString("showname")%><br><br><br>
<hr>
单击<a href="<%=filename%>">这里</a>下载<br>
</center>
</body>
</html>
